require( "scripts/style.lua" );

-- gRows and gColumns are set up in mainmenu.lua


-- Our mini-game set-up
MakeDialog
{
	-- Name the modal dialog
	name="thegame",
		Scene2d
		{
			x=0,
			y=0,
			w=1024,
			h=768,
			Bitmap
			{
				name = "bg",
				--image = "backgrounds/scene",
				x = 0,
				y = 0,
				scale = 1.00
			}
		},
		--Text
		--{
		--	font = SceneTempFont,
		--	align=kHAlignLeft + kVAlignTop,
		--	AppendStyle{ font = { standardFont, size, Color(255,255,255,255)} },
		--	x=-1,y=-1,
		--	w=kMax-20,h=kMax,
		--	flags=kHAlignCenter+kVAlignCenter,
		--	label="squaresinfo",
		--},
--		SetStyle( ButtonStyle ),
--		Button
--		{
--			x=20,
--			y=60,
--			name="pause",
--			label="pause",
--			cancel=true,
--			command=
--				function()
--					DoModal("scripts/pause.lua");
--				end
--		},
--	SetStyle(HintButtonStyle),
--		Button
--			{
--				label="",
--				name="hintButton",
--				--cancel=true,
--				--close = (true);
--				align=kHAlignLeft+kVAlignBottom,
--				x=928,y=kMax-1,
--				command=function()
--					showHintLua();
--				end;
--			},

--	SetStyle(OptionsButtonStyle),
--		Button
--			{
--				label="",
--				name="optionsButton",
--				--cancel=true,
--				--close = (true);
--				align=kHAlignLeft+kVAlignBottom,
--				x=15,y=kMax+41,
--				command=function()
--					--DoModal("scripts/options.lua");
--					DoModal("scripts/pause.lua");
--				end;
--			},
--	SetStyle(JournalButtonStyle),
--		Button
--			{
--				label="",
--				name="journalButton",
--				--cancel=true,
--				--close = (true);
--				align=kHAlignLeft+kVAlignBottom,
--				x=0,y=kMax-18,
--				command=function()
--					DoModal("scripts/journal.lua");
--				end;
--			},
--	SetStyle(MapButtonStyle),
--		Button
--			{
--				label="",
--				name="mapButton",
--				--cancel=true,
--				--close = (true);
--				align=kHAlignLeft+kVAlignBottom,
--				x=924,y=kMax+3,
--				command=function()
--					DoModal("scripts/map.lua");
--				end;
--			},
	
}
